| Home | Libraries | People | FAQ | More

## Class template function

boost::compute::function — A function object.

## Synopsis

    // In header: <boost/compute/function.hpp>

    template<typename Signature>
    class function {
    public:

      // public member functions
      function(const std::string &);
      ~function();
      bool operator==(const function< Signature > &) const;
      bool operator!=(const function< Signature > &) const;
    };

## Description

### `function` public member functions

1.     function(const std::string & name);

   Creates a new function object with `name`.

2.     ~function();

   Destroys the function object.

3.     bool operator==(const function< Signature > & other) const;

4.     bool operator!=(const function< Signature > & other) const;